Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::StlIterator< VALUE, ITERATOR > Struct Template Reference

`#include <StlIterator.h>`

Inheritance diagram for tlp::StlIterator< VALUE, ITERATOR >:
[legend]
Collaboration diagram for tlp::StlIterator< VALUE, ITERATOR >:
[legend]

List of all members.

## Public Member Functions

- StlIterator (const ITERATOR &startIt, const ITERATOR &endIt)
- VALUE next ()
    Moves the Iterator on the next element.
- bool hasNext ()
    Tells if the sequence is at its end.

### template<typename VALUE, typename ITERATOR>
struct tlp::StlIterator< VALUE, ITERATOR >

## Constructor & Destructor Documentation

template<typename VALUE , typename ITERATOR >

tlp::StlIterator< VALUE, ITERATOR >::StlIterator | ( | const ITERATOR & | startIt,
|  | const ITERATOR & | endIt
| ) |  | `[inline]`

## Member Function Documentation

template<typename VALUE , typename ITERATOR >

bool tlp::StlIterator< VALUE, ITERATOR >::hasNext | ( |  | ) | `[inline, virtual]`

Tells if the sequence is at its end.

Returns:
  bool Whether there are more elements to iterate on.

Implements tlp::Iterator< VALUE >.

template<typename VALUE , typename ITERATOR >

VALUE tlp::StlIterator< VALUE, ITERATOR >::next | ( |  | ) | `[inline, virtual]`

Moves the Iterator on the next element.

Returns:
  The current element pointed by the Iterator.

Implements tlp::Iterator< VALUE >.

Tulip Software by LaBRI Visualization Team 2001 - 2012